@import "../../_mixins.scss";

.app-header {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  position: fixed;
  top: 0;
  width: 100vw;
  height: var(--header-height);
  padding: 20px 20px 20px 0;
  background: white;
  box-shadow: -1px 2px 4px 0 rgba(0, 0, 0, 0.04);
  z-index: 10000;
  @include transitions(all 0.3s ease-out);

  .app-header__left {
    display: flex;
    align-items: center;

    h2 {
      font-family: var(--font-first);
      font-size: 24px;
      font-weight: 500;
      color: #333;
      margin: 0;
    }

    .Select {
      width: 350px;
      margin: 0 0 0 15px;
      height: unset;
      .Select__control .Select__input-container input.Select__input {
        color: #333;
        border: none;
      }
    }

    .Select-value {
      font-weight: 900;
      font-size: var(--font-l);
    }

    .Select-value-label {
      padding-left: 10px;
    }
    .select-customer-error {
      color: red;
      font-family: var(--font-first);
      font-size: var(--font-xs);
      min-height: 17px;
      float: left;
      display: block;
      position: absolute;
      top: 68px;
    }

    .header-customer-select {
      margin-left: 15px;
    }

    .select-error {
      border: solid 1px #f00;
      display: flex;
    }

    .customer-name {
      font-size: var(--font-xxxxl);
      font-weight: 600;
      padding-left: 10px;
    }
  }

  .app-header__right {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding-right: 10px;

    img {
      height: 24px;
      width: 24px;
      margin-right: 20px;
    }

    .user-image-circle {
      display: inline-block;
      width: 40px;
      height: 40px;
      border-radius: 50%;
      background-repeat: no-repeat;
      background-position: center center;
      background-size: cover;
    }

    div.circle {
      background: var(--primary);
      @include circle_button(34px);
    }

    label {
      margin: 0;
      margin-left: 9px;
      font-family: var(--font-first);
      font-size: var(--font-s);
      font-weight: 600;
      cursor: pointer;
    }

    .overlay {
      position: absolute;
      right: 20px;
      display: flex;
      flex-direction: column;
      margin-top: 10px;
      padding: 10px;
      border: 1px solid #ededed;
      background-color: #ffffff;
      box-shadow: 6px 8px 14px 6px rgba(0, 0, 0, 0.16);

      &:after,
      &:before {
        bottom: 100%;
        left: 50%;
        border: solid transparent;
        content: " ";
        height: 0;
        width: 0;
        position: absolute;
        pointer-events: none;
      }

      &:after {
        border-color: rgba(136, 183, 213, 0);
        border-bottom-color: #ffffff;
        border-width: 12px;
        margin-left: -50px;
      }
      &:before {
        border-color: rgba(194, 225, 245, 0);
        border-bottom-color: #ededed;
        border-width: 15px;
        margin-left: -53px;
      }

      a {
        color: #222222;
        line-height: 33px;
        padding: 5px 0px;
        text-decoration: none;
      }
    }

    .dropdown-toggle {
      background: none !important;
      border: none !important;
      box-shadow: none !important;
    }

    .dropdown.open {
      .dropdown-menu {
        @extend .overlay;
        li {
          a {
            &:hover {
              background-color: white;
            }
          }
        }
      }
    }
  }
  .select-company-error {
    position: fixed;
    margin: 0 0 0 5px;
    font-size: var(--font-xxxxl);
    color: red;
    text-align: center;
    line-height: 1;
    width: 100%;
    top: 50%;
  }
}

.popover-header-user {
  margin-top: 10px;
  z-index: 10001;

  .arrow {
    left: 82% !important;
  }
}

.select-arrow-user-right {
  border-style: none;
  background: url(/assets/new-icons/select-expand.png) center no-repeat;
  height: 9px;
  width: 25px;
  margin-right: -30px;
}

.header-user__pop {
  padding: 5px 0;
  background-color: #fff;
  box-shadow: 6px 8px 14px 6px rgba(0, 0, 0, 0.16);
  display: flex;
  flex-direction: column;
  width: max-content;

  .header-user-options {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 10px;
    margin: 5px;
    border-radius: 4px;
    font-family: var(--font-first);
    font-size: var(--font-s);
    font-weight: 600;
    color: #333333;
    cursor: pointer;
    z-index: 11111;
    @include transitions(all 0.25s ease-in);

    img {
      opacity: 0.6;
      width: 20px;
      height: 20px;
      margin-right: 10px;
    }

    span {
      @include text_one_line;
    }

    &.side-menu__option--active,
    &:hover {
      color: var(--white-font);
      text-decoration: none;
      background: var(--primary) !important;

      img {
        opacity: 1;
      }
    }
  }
}

.app-header__right-user-name:focus {
  outline: unset;
  .btn:active:focus,
  .btn:focus {
    outline: unset;
  }
  .dropdown-toggle:focus {
    outline: unset !important;
  }
}

.ccoid-box {
  .import-error-msg {
    padding: 0 0 0 20px;
    font-size: var(--font-xl);
  }
}
